Rebuild for transition away from desktop file stripping

Bug #851953 reported by Harald Sitter on 2011-09-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Medium
Gabor Kelemen
amarok (Ubuntu)
Undecided
Harald Sitter
bluedevil (Ubuntu)
Undecided
Harald Sitter
choqok (Ubuntu)
Undecided
Harald Sitter
k3b (Ubuntu)
Undecided
Harald Sitter
kaffeine (Ubuntu)
Undecided
Harald Sitter
kamoso (Ubuntu)
Undecided
Harald Sitter
kcm-gtk (Ubuntu)
Undecided
Unassigned
kdesudo (Ubuntu)
Undecided
Unassigned
koffice (Ubuntu)
Undecided
Unassigned
konversation (Ubuntu)
Undecided
Harald Sitter
kopete-message-indicator (Ubuntu)
Undecided
Unassigned
ktorrent (Ubuntu)
Undecided
Harald Sitter
kubuntu-firefox-installer (Ubuntu)
Undecided
Unassigned
kubuntu-notification-helper (Ubuntu)
Undecided
Unassigned
muon (Ubuntu)
Undecided
Harald Sitter
networkmanagement (Ubuntu)
Undecided
Harald Sitter
partitionmanager (Ubuntu)
Undecided
Harald Sitter
plasma-widget-menubar (Ubuntu)
Undecided
Unassigned
plasma-widget-message-indicator (Ubuntu)
Undecided
Unassigned
rekonq (Ubuntu)
Undecided
Harald Sitter
skanlite (Ubuntu)
Undecided
Harald Sitter
synaptiks (Ubuntu)
Undecided
Harald Sitter

Bug Description

All packages using pkg-kde-tools should be investigated for need of
no-change rebuild to stop using an Ubuntu gettext domain and
consequently stripping desktop files.

 affects ubuntu/amarok
 affects ubuntu/bluedevil
 affects ubuntu/choqok
 affects ubuntu/k3b
 affects ubuntu/kaffeine
 affects ubuntu/kamoso
 affects ubuntu/koffice
 affects ubuntu/konversation
 affects ubuntu/ktorrent
 affects ubuntu/muon
 affects ubuntu/partitionmanager
 affects ubuntu/rekonq
 affects ubuntu/skanlite
 affects ubuntu/synaptiks
 affects ubuntu/kcm-gtk
 affects ubuntu/kdesudo
 affects ubuntu/kopete-message-indicator
 affects ubuntu/kubuntu-firefox-installer
 affects ubuntu/kubuntu-notification-helper
 affects ubuntu/plasma-widget-menubar
 affects ubuntu/plasma-widget-message-indicator

Changed in amarok (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in amarok (Ubuntu):
status: New → Fix Released
Changed in bluedevil (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in choqok (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in k3b (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bluedevil - 1.1.1-0ubuntu2

---------------
bluedevil (1.1.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:00:20 +0200

Changed in bluedevil (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package choqok - 1.1-1ubuntu2

---------------
choqok (1.1-1ubuntu2) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
  * Update VCS entries for bzr
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:11:31 +0200

Changed in choqok (Ubuntu):
status: New → Fix Released
Changed in kaffeine (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kaffeine - 1.2.2-1ubuntu2

---------------
kaffeine (1.2.2-1ubuntu2) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:22:40 +0200

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package k3b - 2.0.2-0ubuntu4

---------------
k3b (2.0.2-0ubuntu4) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:14:08 +0200

Changed in k3b (Ubuntu):
status: New → Fix Released
Changed in kaffeine (Ubuntu):
status: New → Fix Released
Changed in ktorrent (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in muon (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in partitionmanager (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in plasma-widget-networkmanagement (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ktorrent - 4.1.1-2ubuntu5

---------------
ktorrent (4.1.1-2ubuntu5) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:38:36 +0200

Changed in ktorrent (Ubuntu):
status: New → Fix Released
affects: plasma-widget-networkmanagement (Ubuntu) → networkmanagement (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partitionmanager - 1.0.3-0ubuntu4

---------------
partitionmanager (1.0.3-0ubuntu4) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:40:39 +0200

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package muon - 1.2.0-0ubuntu3

---------------
muon (1.2.0-0ubuntu3) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:40:00 +0200

Changed in muon (Ubuntu):
status: New → Fix Released
Changed in partitionmanager (Ubuntu):
status: New → Fix Released
Changed in rekonq (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networkmanagement - 0.9~svngit.nm09.20110610.0c83d8-0ubuntu4

---------------
networkmanagement (0.9~svngit.nm09.20110610.0c83d8-0ubuntu4) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:47:02 +0200

Changed in networkmanagement (Ubuntu):
status: New → Fix Released
Harald Sitter (apachelogger) wrote :

Kamoso is waiting for demotion from main (due to digikam demotion). After demotion Kamoso will require a rebuild to regain in-package translations.

Changed in kamoso (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
status: New → Triaged
Changed in konversation (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rekonq - 0.7.0-1ubuntu2

---------------
rekonq (0.7.0-1ubuntu2) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 17:52:04 +0200

Changed in rekonq (Ubuntu):
status: New → Fix Released
Changed in skanlite (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Changed in synaptiks (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package konversation - 1.3.1-2ubuntu6

---------------
konversation (1.3.1-2ubuntu6) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 18:02:51 +0200

Changed in konversation (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package skanlite - 0.7-2ubuntu3

---------------
skanlite (0.7-2ubuntu3) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 18:06:23 +0200

Changed in skanlite (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kamoso - 2.0.2-1build1

---------------
kamoso (2.0.2-1build1) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
 -- Harald Sitter <email address hidden> Fri, 16 Sep 2011 21:18:23 +0200

Changed in kamoso (Ubuntu):
status: Triaged → Fix Released
Felix Geyer (debfx) on 2011-11-09
Changed in plasma-widget-message-indicator (Ubuntu):
status: New → Fix Released
Felix Geyer (debfx) on 2011-11-09
Changed in synaptiks (Ubuntu):
status: New → Fix Released
Gabor Kelemen (kelemeng) wrote :

If I understand this correctly, this means that the Ubuntu Translations project should stop importing and exporting the respective desktop-foo templates, right?

Gabor Kelemen (kelemeng) wrote :

All the KDE desktop files were disabled in LP Translations after checking this on #kubuntu-devel.

Changed in ubuntu-translations:
assignee: nobody → Gabor Kelemen (kelemeng)
importance: Undecided → Medium
status: New → Fix Released
Changed in kubuntu-firefox-installer (Ubuntu):
status: New → Fix Released
Changed in kubuntu-notification-helper (Ubuntu):
status: New → Fix Released
Jonathan Thomas (echidnaman) wrote :

kcm-gtk has since been rebuilt.

Changed in kcm-gtk (Ubuntu):
status: New → Fix Released
Jonathan Thomas (echidnaman) wrote :

kdesudo has since been rebuilt.

Changed in kdesudo (Ubuntu):
status: New → Fix Released
Jonathan Thomas (echidnaman) wrote :

KOffice is now removed. (Closing irrelevant)

Changed in koffice (Ubuntu):
status: New → Invalid
Jonathan Thomas (echidnaman) wrote :

plasma-widget-menubar rebuilt.

Changed in plasma-widget-menubar (Ubuntu):
status: New → Fix Released
Changed in kopete-message-indicator (Ubuntu):
status: New → Triaged
Changed in kopete-message-indicator (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers